Tvheadend - Bug #4876

Got unexpected ECM reply (segno: xxxx)

2018-01-19 23:30 - saen acro

Status: Invalid Start date: 2018-02-08

Priority: Normal Due date:

Assignee: % Done: 0%

Category: Descrambling Estimated time: 0.00 hour

Target version:

Found in version: 4.3.98x+ Affected Versions:

Description

Channel descrambled but log full

2018-01-20 00:27:37.199 cwc: 127.0.0.1:10005: Got unexpected ECM reply (seqgno: 52551)

2018-01-20 00:27:37.499 cwc: 127.0.0.1:10005: Got unexpected ECM reply (segno: 52552)

2018-01-20 00:27:47.405 cwc: 127.0.0.1:10005: Got unexpected ECM reply (segno: 52618)

2018-01-20 00:27:57.315 cwc: 127.0.0.1:10005: Got unexpected ECM reply (segno: 52684)

2018-01-20 00:27:57.326 cwc: 127.0.0.1:10005: Got unexpected ECM reply (segno: 52686)

2018-01-20 00:28:07.206 cwc: 127.0.0.1:10005: Got unexpected ECM reply (seqno: 52752)

2018-01-20 00:28:07.501 cwc: 127.0.0.1:10005: Got unexpected ECM reply (seqno: 52753)

2018-01-20 00:28:07.524 cwc: 127.0.0.1:10005: Got unexpected ECM reply (seqgno: 52755)

OSCam: 1.20-unstable_svn Build: r11392 Compiler: x86_64-linux-gnu-ssl

2018/01/20 00:24:54 14COEB16 c (ecm) tvheadend (0604@000000/0009/03F4/34:A4BF4866A1E78CD70519
DCDD99BC8043) : cachel (10 ms) by reader - channel (cw count 3)

2018/01/20 00:24:54 14COEB16 c (ecm) tvheadend (0604Q@Q000000/000F/03F4/34:82C288E33249A60A013C
3CDD1E355849) : cachel (10 ms) by reader - channel (cw count 3)

2018/01/20 00:26:47 14COEB16 c (ecm) tvheadend (0604@Q000000/0009/03F4/34:6823FC91010170B85776
423AD3E8BFCC) : cachel (11 ms) by reader - channel

2018/01/20 00:26:47 14COEB16 c (ecm) tvheadend (0604@000000/0009/03F4/34:6823FC91010170B85776
423AD3E8BFCC) : cachel (10 ms) by reader - channel

2018/01/20 00:26:47 14COEB16 c (ecm) tvheadend (0604@000000/000F/03F4/34:86E0E007E4295C4E2F2E
TE526BA1ADBS5) : cachel (10 ms) by reader - channel

2018/01/20 00:26:47 14COEB16 c (ecm) tvheadend (0604Q@Q000000/000F/03F4/34:86E0E007E4295C4E2F2E
TES526BA1ADBS) : found (322 ms) by reader - channel

Subtasks:

Bug # 4924: PVu: Add newcamd support

Accepted

Associated revisions

Revision 3e55aafd - 2018-01-21 17:51 - Jaroslav Kysela

cclient: try to fix duplicate ECM requests for multiple sections, issue #4876

Revision b16e53cb - 2018-01-24 08:04 - Jaroslav Kysela

cclient: handle send_ecm return value correctly, issue #4876

History

#1 - 2018-01-20 19:01 - Jaroslav Kysela

'--trace cwc'

#2 - 2018-01-20 21:10 - saen acro
- File cwe.log.txt.bz2 added

Key come from 127.0.0.1:10005
CAID 0604
#3 - 2018-01-21 19:17 - Jaroslav Kysela

It seems that it's a multi-section ECM issue:

: 12 ms)
WARNING] :cwc: 127.0.0.1:10005: Got unexpected ECM reply (segno: 4606)

[ DEBUG]:cwc: 127.0.0.1:10005: Sending ECM (PID 3305) section=0/1 for service "KinoNova" (seqgno: 4603)

[ DEBUG]:cwc: 127.0.0.1:10005: Sending ECM (PID 3305) section=1/1 for service "KinoNova" (seqgno: 4604)

[ DEBUG]:cwc: 127.0.0.1:10005: Sending ECM (PID 3305) section=0/1 for service "KinoNova" (segno: 4605)

[ DEBUG]:cwc: 127.0.0.1:10005: Sending ECM (PID 3305) section=1/1 for service "KinoNova" (seqgno: 4606)
[WARNING] :cwc: 127.0.0.1:10005: Got unexpected ECM reply (seqno: 4604)

[ DEBUG]:cwc: 127.0.0.1:10005: Sending ECM (PID 3305) section=0/1 for service "KinoNova" (segno: 4607)

[ DEBUG]:cwc: 127.0.0.1:10005: Sending ECM (PID 3305) section=1/1 for service "KinoNova" (segno: 4608)

[ DEBUG]:cwc: 127.0.0.1:10005: Received ECM reply (PID 3305) for service "KinoNova" [0] (seqgno: 4607 Req dela
Yy

[

#4 - 2018-01-21 19:18 - Jaroslav Kysela
Try latest v4.3-995-g9bdd7470d

#5 - 2018-01-22 19:54 - Philippe Larcher
v4.3-995-g9bdd7470d

Having the same bug with the above version.

Waiting for fix.

#6 - 2018-01-22 20:15 - Jaroslav Kysela
'--trace cwc,descrambler’ . https:/tvheadend.org/projects/tvheadend/wiki/Traces

#7 - 2018-01-23 23:18 - Philippe Larcher
- File tvh.log added

| hope this log file is fine for analysis.
My CCCam Server is working with other clients without problems f.y.i.

Thank you for your help & time, | hope you find a solution.

#8 - 2018-01-23 23:21 - Philippe Larcher

Philippe Larcher wrote:
| hope this log file is fine for analysis.
My CCCam Server is working with other clients without problems f.y.i.

Thank you for your help & time, | hope you find a solution.

2018-01-23 23:13:04.057 mpegts: 12304.5H in Astra scan complete

2018-01-23 23:13:04.057 subscription: 049A: "scan" unsubscribing

2018-01-23 23:13:07.572 cwc: localhost:54545: Disconnected

2018-01-23 23:13:07.572 cwc: localhost:54545: Inactive, thread exit

2018-01-23 23:13:14.024 mpegts: 12304.5H in Astra - tuning on Montage Technology M88RS6000 #0 : master for #0

2018-01-23 23:13:14.074 subscription: 049C: "scan" subscribing to mux "12304.5H", weight: 2, adapter: "Montage Technology M88RS6000 #0 :
master for #0", network: "Astra", service: "Raw PID Subscription"

2018-01-23 23:13:26.423 http: 192.168.178.25: using ticket 0198b6521876573bbaa0c9605af70a769241c3fc for /stream/channelid/398327299
2018-01-23 23:13:26.424 subscription: 049F: "HTTP" subscribing on channel "Sky Cinema Hits HD", weight: 100, adapter: "Montage Technology
M88RS6000 #0 : master for #0", network: "Astra", mux: "12304.5H", provider: "SKY", service: "Sky Cinema Hits HD", profile="pass",
hostname="192.168.178.25", client="VLC/2.2.6 LibVLC/2.2.6"

2018-01-23 23:13:26.612 cccam: >IP<:54345: Ignore ECM request 80 (server is busy)

2018-01-23 23:13:29.837 cccam: >IP<:54345: Ignore ECM request 81 (server is busy)

2018-01-23 23:13:31.215 TS: Astra/12304.5H/Sky Cinema Hits HD: H264 #767 Continuity counter error (total 1)

2018-01-23 23:13:33.814 mpegts: 12304.5H in Astra scan complete

2018-01-23 23:13:33.814 subscription: 049C: "scan" unsubscribing

2018-01-23 23:13:36.851 cccam: >1P<:54345: Ignore ECM request 80 (server is busy)

2018-01-23 23:13:41.735 TS: Astra/12304.5H/Sky Cinema Hits HD: H264 #767 Continuity counter error (total 8)

2018-01-23 23:13:43.864 cccam: >IP<:54345: Ignore ECM request 81 (server is busy)

2018-01-23 23:13:50.847 cccam: >IP<:54345: Ignore ECM request 80 (server is busy)

#9 - 2018-01-24 09:07 - Jaroslav Kysela
https://tvheadend.org/projects/tvheadend/wiki/Traces
https://tvheadend.org/issues/767

Phillipe - it appears like a different issue than in the original report. Upgrade to latest and create a new bug-report with '--trace cccam' (I need to see

the log before 'server is busy' occurs).

#10 - 2018-01-25 19:14 - Philippe Larcher
- File NewTVHIog.txt added

Hey,
here is the new log with log before server is busy. Thanks for helping

#11 - 2018-01-25 19:26 - Jaroslav Kysela

| can only guess:

2018-01-25 19:01:27.346 [WARNING]:subscription: 45DE: service instance is bad, reason: No descrambler

| already pushed a change to the master which clears the busy flag when the service is closed on the tvheadend's side.

#12 - 2018-02-01 21:19 - Philippe Larcher
Still having this problem with version: HTS Tvheadend 4.3-1028~g7de759e83

2018-02-01 21:15:50.658 cccam: >IP<:54345: Got unexpected ECM reply (segno: 1)

2018-02-01 21:15:51.329 TS: Astra/12304.5H/Sky Cinema Superhelden HD: H264 #767 Continuity counter error (total 1)
2018-02-01 21:15:56.371 mpegts: 12304.5H in Astra scan complete

2018-02-01 21:16:01.380 TS: Astra/12304.5H/Sky Cinema Superhelden HD: H264 #767 Continuity counter error (total 16)
2018-02-01 21:16:02.037 cccam: >IP<:54345: Ignore ECM request 80 (server is busy)

#13 - 2018-02-03 11:48 - Jaroslav Kysela

Show full uncut logs.

#14 - 2018-03-05 20:57 - Jaroslav Kysela

- Status changed from New to Invalid
No further response.

#15 - 2018-06-27 11:57 - navaneeta harsha

Files

cwec.log.txt.bz2 92.4 KB 2018-01-20 saen acro

tvh.log 209 KB 2018-01-23 Philippe Larcher

NewTVHlog.txt 77.4 KB 2018-01-25 Philippe Larcher
